Subject: Re: bug#26901: During offload, in procedure send-files, '=' applied to #false

From: [email-masked] (Ludovic Courtès)
Date: Sat, 13 May 2017 21:34:49 +0200

(+ Cc: guix-sysadmin)

Leo Famulari <[email-masked]> skribis:

> On Sat, May 13, 2017 at 04:22:09PM +0200, Ludovic Courtès wrote:
>> Mark H Weaver <[email-masked]> skribis:
>> 
>> > Any idea what went wrong with this aborted build?
>> >
>> >   https://hydra.gnu.org/build/2043652
>> 
>> [...]
>> 
>> >    ?: 6 [primitive-load "/gnu/store/v61l1zcf5ph0vvxajk3b0dqrmqbz495y-guix-0.11.0-8.8d12/bin/.guix-real"]
>> 
>> [...]
>> 
>> > In guix/scripts/offload.scm:
>> >  377: 1 [transfer-and-offload # # # ...]
>> >  470: 0 [send-files # #]
>> >
>> > guix/scripts/offload.scm:470:6: In procedure send-files:
>> > guix/scripts/offload.scm:470:6: In procedure =: Wrong type argument in position 1: #f
>> 
>> Dunno what happened, but that’s a relatively old Guix and the line
>> numbers don’t match current master (3312fda09deca3c44076627c504234d1501a87d6).
>
> It's weird that it was using the old Guix, right?

Not really, it just happens that we did not restart guix-daemon in ages,
I guess (that requires stopping the Hydra and ‘guix publish’ processes
first.)

I’ve done it now so it’s running 0.12.0-10.ba2260d.

I’m closing the bug but let’s reopen it if the problem reappears.

Ludo’.